com.google.appengine.api.search

## Enum SortExpression.SortDirection

- java.lang.Object
- - java.lang.Enum<SortExpression.SortDirection>
  - - com.google.appengine.api.search.SortExpression.SortDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SortExpression.SortDirection>
  Enclosing class:
    SortExpression

      public static enum SortExpression.SortDirection
      extends java.lang.Enum<SortExpression.SortDirection>

  The direction search results are sorted by, either ascending or descending.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` The search results are sorted in ascending order, e.g.
    `DESCENDING` The search results are sorted in descending order, e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortExpression.SortDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortExpression.SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SortExpression.SortDirection ASCENDING

      The search results are sorted in ascending order, e.g. alphabetic aaa ... zzz

    - #### DESCENDING

          public static final SortExpression.SortDirection DESCENDING

      The search results are sorted in descending order, e.g. zzz ... aaa

  - ### Method Detail

    - #### values

          public static SortExpression.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortExpression.SortDirection c : SortExpression.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortExpression.SortDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null